<?
include("config/connect.php");
include("session.php");
include("functions.php");

$uid = $_SESSION['userid'];

$bid=base64_decode($_REQUEST['bpid']);
//$businessid = getPaypalInfo(1);

$qrysel = "select * from bidpack where id='$bid'";
$ressel = mysql_query($qrysel);
$total = mysql_num_rows($ressel);
if($total>0)
{
	$rowauctionname = mysql_fetch_array($ressel);
	$bidpackname = $rowauctionname['bidpack_name'];
	$amt = $rowauctionname['bidpack_price'];
}

$pm = $_REQUEST['pm'];
if($pm=='alipay'){
	$pay_url = "alipay/config_pay_alipay.php";
}else if($pm=='chinabank'){
	$pay_url = "paycenter/chinabank/Send.php";
}else if($pm=='tenpay'){
	$pay_url = "tenpay/index.php";
}else if($pm=='teepay'){
	$pay_url = "paycenter/yeepay/req.php";
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?=$lng_characset;?>" />
<title><?=$AllPageTitle;?></title>
<script language='javascript'>
function frmnew()
{ 
	document._xclick.submit();
}
</script>
</head>

<body onload="frmnew();">
<form name="_xclick" action="<?=$pay_url;?>" method="post">							
<input type="hidden" name="v_amount" value="<?=$amt;?>">
<input type="hidden" name="p5_Pid" value="<?=$bidpackname;?>">
<input type="hidden" name="p3_Amt" value="<?=$amt;?>">
<input type="hidden" name="remark1" value="<?=$uid;?>">
<input type="hidden" name="remark2" value="<?=$bid;?>">
</form>

</body>
</html>
